Package org.jboss.resteasy.client.jaxrs.internal

## Class PublisherRxInvokerImpl

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.PublisherRxInvokerImpl

- All Implemented Interfaces:
    `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`, `PublisherRxInvoker`
  Direct Known Subclasses:
    `MonoRxInvokerImpl`

      public abstract class PublisherRxInvokerImpl
      extends Object
      implements PublisherRxInvoker

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PublisherRxInvokerImpl​(ClientInvocationBuilder builder)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `delete()` |
    `<T> org.reactivestreams.Publisher<T>` | `delete​(Class<T> responseType)` |
    `<T> org.reactivestreams.Publisher<T>` | `delete​(javax.ws.rs.core.GenericType<T> responseType)` |
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `get()` |
    `<T> org.reactivestreams.Publisher<T>` | `get​(Class<T> responseType)` |
    `<T> org.reactivestreams.Publisher<T>` | `get​(javax.ws.rs.core.GenericType<T> responseType)` |
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `head()` |
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `method​(String name)` |
    `<T> org.reactivestreams.Publisher<T>` | `method​(String name, Class<T> responseType)` |
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `method​(String name, javax.ws.rs.client.Entity<?> entity)` |
    `<T> org.reactivestreams.Publisher<T>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, Class<T> responseType)` |
    `<T> org.reactivestreams.Publisher<T>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> responseType)` |
    `<T> org.reactivestreams.Publisher<T>` | `method​(String name, javax.ws.rs.core.GenericType<T> responseType)` |
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `options()` |
    `<T> org.reactivestreams.Publisher<T>` | `options​(Class<T> responseType)` |
    `<T> org.reactivestreams.Publisher<T>` | `options​(javax.ws.rs.core.GenericType<T> responseType)` |
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `post​(javax.ws.rs.client.Entity<?> entity)` |
    `<T> org.reactivestreams.Publisher<T>` | `post​(javax.ws.rs.client.Entity<?> entity, Class<T> clazz)` |
    `<T> org.reactivestreams.Publisher<T>` | `post​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> type)` |
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `put​(javax.ws.rs.client.Entity<?> entity)` |
    `<T> org.reactivestreams.Publisher<T>` | `put​(javax.ws.rs.client.Entity<?> entity, Class<T> clazz)` |
    `<T> org.reactivestreams.Publisher<T>` | `put​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> type)` |
    `protected abstract <T> org.reactivestreams.Publisher<T>` | `toPublisher​(CompletionStage<T> completable)` |
    `org.reactivestreams.Publisher<javax.ws.rs.core.Response>` | `trace()` |
    `<T> org.reactivestreams.Publisher<T>` | `trace​(Class<T> responseType)` |
    `<T> org.reactivestreams.Publisher<T>` | `trace​(javax.ws.rs.core.GenericType<T> responseType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PublisherRxInvokerImpl

          public PublisherRxInvokerImpl​(ClientInvocationBuilder builder)

  - ### Method Detail

    - #### toPublisher

          protected abstract <T> org.reactivestreams.Publisher<T> toPublisher​(CompletionStage<T> completable)

    - #### get

          public org.reactivestreams.Publisher<javax.ws.rs.core.Response> get()

      Specified by:
        `get` in interface `PublisherRxInvoker`
      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### get

          public <T> org.reactivestreams.Publisher<T> get​(Class<T> responseType)

      Specified by:
        `get` in interface `PublisherRxInvoker`
      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### get

          public <T> org.reactivestreams.Publisher<T> get​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `get` in interface `PublisherRxInvoker`
      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### put

          public org.reactivestreams.Publisher<javax.ws.rs.core.Response> put​(javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `put` in interface `PublisherRxInvoker`
      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### put

          public <T> org.reactivestreams.Publisher<T> put​(javax.ws.rs.client.Entity<?> entity,
                                                          Class<T> clazz)

      Specified by:
        `put` in interface `PublisherRxInvoker`
      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### put

          public <T> org.reactivestreams.Publisher<T> put​(javax.ws.rs.client.Entity<?> entity,
                                                          javax.ws.rs.core.GenericType<T> type)

      Specified by:
        `put` in interface `PublisherRxInvoker`
      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### post

          public org.reactivestreams.Publisher<javax.ws.rs.core.Response> post​(javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `post` in interface `PublisherRxInvoker`
      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### post

          public <T> org.reactivestreams.Publisher<T> post​(javax.ws.rs.client.Entity<?> entity,
                                                           Class<T> clazz)

      Specified by:
        `post` in interface `PublisherRxInvoker`
      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### post

          public <T> org.reactivestreams.Publisher<T> post​(javax.ws.rs.client.Entity<?> entity,
                                                           javax.ws.rs.core.GenericType<T> type)

      Specified by:
        `post` in interface `PublisherRxInvoker`
      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### delete

          public org.reactivestreams.Publisher<javax.ws.rs.core.Response> delete()

      Specified by:
        `delete` in interface `PublisherRxInvoker`
      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### delete

          public <T> org.reactivestreams.Publisher<T> delete​(Class<T> responseType)

      Specified by:
        `delete` in interface `PublisherRxInvoker`
      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### delete

          public <T> org.reactivestreams.Publisher<T> delete​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `delete` in interface `PublisherRxInvoker`
      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### head

          public org.reactivestreams.Publisher<javax.ws.rs.core.Response> head()

      Specified by:
        `head` in interface `PublisherRxInvoker`
      Specified by:
        `head` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### options

          public org.reactivestreams.Publisher<javax.ws.rs.core.Response> options()

      Specified by:
        `options` in interface `PublisherRxInvoker`
      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### options

          public <T> org.reactivestreams.Publisher<T> options​(Class<T> responseType)

      Specified by:
        `options` in interface `PublisherRxInvoker`
      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### options

          public <T> org.reactivestreams.Publisher<T> options​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `options` in interface `PublisherRxInvoker`
      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### trace

          public org.reactivestreams.Publisher<javax.ws.rs.core.Response> trace()

      Specified by:
        `trace` in interface `PublisherRxInvoker`
      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### trace

          public <T> org.reactivestreams.Publisher<T> trace​(Class<T> responseType)

      Specified by:
        `trace` in interface `PublisherRxInvoker`
      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### trace

          public <T> org.reactivestreams.Publisher<T> trace​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `trace` in interface `PublisherRxInvoker`
      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### method

          public org.reactivestreams.Publisher<javax.ws.rs.core.Response> method​(String name)

      Specified by:
        `method` in interface `PublisherRxInvoker`
      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### method

          public <T> org.reactivestreams.Publisher<T> method​(String name,
                                                             Class<T> responseType)

      Specified by:
        `method` in interface `PublisherRxInvoker`
      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### method

          public <T> org.reactivestreams.Publisher<T> method​(String name,
                                                             javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `method` in interface `PublisherRxInvoker`
      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### method

          public org.reactivestreams.Publisher<javax.ws.rs.core.Response> method​(String name,
                                                                                 javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `method` in interface `PublisherRxInvoker`
      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### method

          public <T> org.reactivestreams.Publisher<T> method​(String name,
                                                             javax.ws.rs.client.Entity<?> entity,
                                                             Class<T> responseType)

      Specified by:
        `method` in interface `PublisherRxInvoker`
      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`

    - #### method

          public <T> org.reactivestreams.Publisher<T> method​(String name,
                                                             javax.ws.rs.client.Entity<?> entity,
                                                             javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `method` in interface `PublisherRxInvoker`
      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<org.reactivestreams.Publisher<?>>`